/**
 * OpenGL RedBook Shader.
 * Examples 7.8, 7.9 and 7.10.
 */
#version 330 core

in vec4 Position;
in vec3 Normal;
in vec4 Colour;

out vec4 FragColour;

void main() {
    vec3 normalScale = 0.5 + (Normal / 2);
    FragColour = vec4(normalScale, 1);
}